Re: [Rd] sma installation error

From: Henrik Bengtsson <hb_at_biostat.ucsf.edu>
Date: Wed, 30 Nov 2011 14:02:11 -0800

The sma package is deprecated since many years...

...however, by request from collaborators last year, I recompiled it to fix that error you are mention (see below). I just added a namespace (required in R 2.14.0). You can download it from:

  http://braju.com/R/repos/sma_0.5.17.tar.gz   http://braju.com/R/repos/sma_0.5.17.zip

It pass R CMD check without ERRORs but there are heaps of WARNINGs. It comes with all possible disclaimers, including that you're on your own trying to get the package to work. I will *not* help you/anyone troubleshoot etc - I'm not using it myself and I'm just making it available as is.

Package: sma


Version: 0.5.17 [2011-11-30]
o Added a namespace.
o Compressed example data using 'R CMD build --resave-data'.

Version: 0.5.16 [2010-12-03]
o PARSE ERROR: A '#' was incorrectly escaped as '\#' in a string. o The sma package is no longer supported/maintained. The last   official release was v0.5.15 in Nov 2005, cf.   http://cran.r-project.org/src/contrib/Archive/sma/.   The only reason for v0.5.16 is so that it can be used by   users who still use the aroma package.

Version: 0.5.15 [2005-11--16]
o See http://cran.r-project.org/src/contrib/Archive/sma/

/Henrik

On Wed, Nov 30, 2011 at 12:47 PM, Justin <dlyzxl_at_yahoo.com> wrote:
> I tried different versions of sma**.tar.gz file either with "R CMD INSTALL -l packagepath sma**.tar.gz", "R INSTALL -l path sma**.tar.gz" and under R windows by "install.packages("sma_0.5.15.tar.gz",repos=NULL)"
>
> .
> I got same error
>
>
> ======
> * installing *source* package 'sma' ...
> ** Creating default NAMESPACE file
> Warning in .write_description(db, ldpath) :
>   Unknown encoding with non-ASCII data: converting to ASCII
> ** R
> Error : '\#' is an unrecognized escape in character string starting "but the suffixes must be integers 1,2, ..., \#"
> ERROR: unable to collate and parse R files for package 'sma'
> * removing '/home/psgendb/local/pkg/R_language/lib64/R/library/sma'
> Warning message:
> In install.packages("sma_0.5.15.tar.gz", repos = NULL) :
>   installation of package 'sma_0.5.15.tar.gz' had non-zero exit status
>
>
>
> ======
> My system is Linux cc01 2.6.18-238.19.1.el5 #1 SMP Fri Jul 15 07:31:24 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
>
> Can anyone help?
>
>
> Thanks,
>
>
> Justin
>        [[alternative HTML version deleted]]
>
>
> ______________________________________________
> R-devel_at_r-project.org mailing list
> https://stat.ethz.ch/mailman/listinfo/r-devel
>



R-devel_at_r-project.org mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel Received on Wed 30 Nov 2011 - 22:07:27 GMT

This quarter's messages: by month, or sorted: [ by date ] [ by thread ] [ by subject ] [ by author ]

All messages

Archive maintained by Robert King, hosted by the discipline of statistics at the University of Newcastle, Australia.
Archive generated by hypermail 2.2.0, at Thu 01 Dec 2011 - 01:00:13 GMT.

Mailing list information is available at https://stat.ethz.ch/mailman/listinfo/r-devel. Please read the posting guide before posting to the list.

list of date sections of archive